Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.domain.value
Class UndefinedPlanningValueRangeDescriptor

    java.lang.Object
      org.drools.planner.core.domain.value.AbstractPlanningValueRangeDescriptor
          org.drools.planner.core.domain.value.UndefinedPlanningValueRangeDescriptor

All Implemented Interfaces:
  PlanningValueRangeDescriptor

    public class UndefinedPlanningValueRangeDescriptor

extends AbstractPlanningValueRangeDescriptor

Field Summary

Fields inherited from class org.drools.planner.core.domain.value.AbstractPlanningValueRangeDescriptor
`excludeUninitializedPlanningEntity, variableDescriptor`

Constructor Summary
`UndefinedPlanningValueRangeDescriptor(PlanningVariableDescriptor variableDescriptor, ValueRange valueRangeAnnotation)`

Method Summary
`Collection<?>` | `extractAllValuesWithFiltering(Solution solution)`
`Collection<?>` | `extractValuesWithFiltering(Solution solution, Object planningEntity)`
`long` | `getProblemScale(Solution solution, Object planningEntity)`
`boolean` | `isEntityDependent()`

Methods inherited from class org.drools.planner.core.domain.value.AbstractPlanningValueRangeDescriptor
`applyFiltering, getVariableDescriptor, isValuesCacheable, processExcludeUninitializedPlanningEntity, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UndefinedPlanningValueRangeDescriptor

    public UndefinedPlanningValueRangeDescriptor(PlanningVariableDescriptor variableDescriptor,
                                                 ValueRange valueRangeAnnotation)

Method Detail

### isEntityDependent

    public boolean isEntityDependent()

### extractAllValuesWithFiltering

    public Collection<?> extractAllValuesWithFiltering(Solution solution)

### extractValuesWithFiltering

    public Collection<?> extractValuesWithFiltering(Solution solution,
                                                    Object planningEntity)

### getProblemScale

    public long getProblemScale(Solution solution,
                                Object planningEntity)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.